ColumnListField.ColumnItem (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.client.statistical.form

## Class ColumnListField.ColumnItem

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - com.extjs.gxt.ui.client.data.BaseModel
    - - com.extjs.gxt.ui.client.data.BeanModel
      - - org.gcube.portlets.user.occurrencemanagement.client.statistical.form.ColumnListField.ColumnItem

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ChangeEventSource, com.extjs.gxt.ui.client.data.Model, com.extjs.gxt.ui.client.data.ModelData, Serializable
  Enclosing class:
    ColumnListField

      public class ColumnListField.ColumnItem
      extends com.extjs.gxt.ui.client.data.BeanModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BeanModel

      `bean, beanProperties, nestedModels`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `changeEventSupport`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

    - ### Fields inherited from interface com.extjs.gxt.ui.client.data.ChangeEventSource

      `Add, Remove, Update`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnListField.ColumnItem(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BeanModel

      `getBean, getProperties, getPropertyNames, processValue, setBean, toString`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `addChangeListener, addChangeListener, fireEvent, fireEvent, isSilent, notify, notifyPropertyChanged, remove, removeChangeListener, removeChangeListeners, set, setSilent`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, isAllowNestedValues, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.extjs.gxt.ui.client.data.ModelData

      `get`

- - ### Constructor Detail

    - #### ColumnListField.ColumnItem

          public ColumnListField.ColumnItem(String name)

  - ### Method Detail

    - #### getName

          public String getName()

Copyright © 2014. All Rights Reserved.